Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Nvidia
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Portuguese
View previous topic :: View next topic  
Author Message
MarcoRacer
n00b
n00b


Joined: 27 Jul 2006
Posts: 13

PostPosted: Thu Jul 27, 2006 6:07 pm    Post subject: Nvidia Reply with quote

Bom,
estou com Problemas em rodaar o Driver da Nvidia
peguei o ultimo do portage com o comando
#emerge nvidia-glx
que instalou o
nvidia-glx-1.0.6629-r7 e nvidia-kerel-1.0.6629-r6
mas ao tentar o #modprob nvidia
encontrou um erro:
FATAL: Error inserting nvidia (/lib/modules/2.6.16-gentoo-r12/video/nvidia.ko):
Unknown symbol in module, or unknown parameter (see dmesg)

onde ao olhar o dmesg encontrei:
nvidia: Unknown symbol remap_page_range
nvidia: Unknown symbol pci_find_class

e nao consigo solucionar esse problema!

ALGUEM PODE AJUDAR???
obrigado
Back to top
View user's profile Send private message
njsg
Tux's lil' helper
Tux's lil' helper


Joined: 17 Dec 2005
Posts: 85

PostPosted: Thu Jul 27, 2006 6:18 pm    Post subject: Reply with quote

Estive a ver na wiki (http://gentoo-wiki.com/HOWTO_nVidia_Drivers#dmesg_returns_unknown_symbol_errors), e parece que este problema é conhecido:
Quote:

dmesg returns unknown symbol errors

dmesg output gives something like this:

nvidia: module license 'NVIDIA' taints kernel.
nvidia: Unknown symbol remap_page_range
nvidia: Unknown symbol pci_find_class
nvidia: Unknown symbol remap_page_range
nvidia: Unknown symbol pci_find_class
nvidia: Unknown symbol remap_page_range

Install the latest/unstable drivers to sort this out. If this does not work, edit your kernel menuconfig and check:

--> Device drivers
--> Character devices
[*] SiS chipset support
[*] SiS video cards

This might help because pci_find_class is in the drivers/video/sis/sis.h file. 84.9.163.178 12:28, 24 July 2006 (UTC)


Ou seja, experimenta configurar o kernel, activar as opções SiS chipset support e SiS video cards e recompilar o kernel.
Back to top
View user's profile Send private message
MarcoRacer
n00b
n00b


Joined: 27 Jul 2006
Posts: 13

PostPosted: Fri Jul 28, 2006 1:42 am    Post subject: placa eh nvidia Reply with quote

bom vou tentar isso, mas minha placa n eh SiS nao,
ela eh NVIDIA!
bom, jaja posto se deu certo...
Back to top
View user's profile Send private message
MarcoRacer
n00b
n00b


Joined: 27 Jul 2006
Posts: 13

PostPosted: Fri Jul 28, 2006 1:41 pm    Post subject: Nao funcionou ainda Reply with quote

Bom,
essa dia cai deu na mesma
alguem sabe de alguma outra coisa ai pra ajudar a rodar
o driver da nvidia??????????
Back to top
View user's profile Send private message
jmbsvicetto
Moderator
Moderator


Joined: 27 Apr 2005
Posts: 4734
Location: Angra do Heroísmo (PT)

PostPosted: Sat Jul 29, 2006 4:40 am    Post subject: Reply with quote

Boas.

Tanto quanto sei a última versão estável dos drivers da nVidia são os 77XX. Aconselhava um emerge --sync e tentar fazer o emerge de novo. Se a Portage tree não é actualizada há algum tempo, pode ser preciso um demorado update da máquina.
_________________
Jorge.

Your twisted, but hopefully friendly daemon.
AMD64 / x86 / Sparc Gentoo
Help answer || emwrap.sh
Back to top
View user's profile Send private message
gony64
n00b
n00b


Joined: 31 Jul 2006
Posts: 9

PostPosted: Thu Aug 03, 2006 2:49 pm    Post subject: Reply with quote

estava com o mesmo problema, entao tive que atualizar todo o meus sistema, o portage e acrecentar uma autorizacao no make.conf pra concertar-entender os arquivos mascarados pois o kernel que ele instalava era o 6629, quando ja existe um 8762, instalei, alterei a linha nv no xorg e fui pra galera, agora vou brigar com o kde que pra minha surpresa ja tem a versao 3.5.4 :-), pois usava no ubuntu 3.5.3.
Back to top
View user's profile Send private message
BaYGoN
Tux's lil' helper
Tux's lil' helper


Joined: 21 Sep 2004
Posts: 109
Location: Brasília - DF (Brasil)

PostPosted: Sat Aug 05, 2006 4:26 pm    Post subject: Reply with quote

Olá, Marco.

Eu tenho usado as versões marcadas como instáveis pelo portage, desde que instalei o gentoo aqui no início deste ano, e nunca tive 1 problema sequer. Tudo funciona as mil maravilhas.
Eu recomendo você tentar fazer o mesmo.

A maneira correta de fazer é adicionar as seguintes linhas no seu arquivo package.keywords

Quote:
media-video/nvidia-kernel ~amd64
media-video/nvidia-glx ~amd64
media-video/nvidia-settings ~amd64
app-admin/eselect-opengl ~amd64
app-admin/eselect ~amd64


Se você usa x86, basta substituir o ~amd64 por ~x86.

Depois de salvar o arquivo, faça:

Quote:
emerge -C nvidia-glx nvidia-glx

e
Quote:
emerge nvidia-glx


Isso irá instalar a última versão: 8872-r1. Antes de instalar, certifique-se que seu symlink /usr/src/linux esteja apontando para o código-fonte do kernel que você está rodando agora.

No final da instalação, você deverá dar o comando
Quote:
eselect opengl set nvidia
e alterar seu xorg.conf para rodar o driver nvidia.

Tenha em mente que, sempre que você atualizar seu kernel, estes procedimentos devem ser executados novamente.

Espero ter ajudado.
_________________
Linux User #433896
HP DV6-6190US / Linux 3.4.6-pf #1 SMP PREEMPT Fri Aug 10 13:19:26 BRT 2012 x86_64 Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz GenuineIntel GNU/Linux
"The destiny of every guru is to be a noob for eternity"
Back to top
View user's profile Send private message
gony64
n00b
n00b


Joined: 31 Jul 2006
Posts: 9

PostPosted: Sun Aug 06, 2006 10:03 pm    Post subject: Reply with quote

Code:
[quote="BaYGoN"]Olá, Marco.

Eu tenho usado as versões marcadas como instáveis pelo portage, desde que instalei o gentoo aqui no início deste ano, e nunca tive 1 problema sequer. Tudo funciona as mil maravilhas.
Eu recomendo você tentar fazer o mesmo.

A maneira correta de fazer é adicionar as seguintes linhas no seu arquivo package.keywords

[quote]media-video/nvidia-kernel ~amd64
media-video/nvidia-glx ~amd64
media-video/nvidia-settings ~amd64
app-admin/eselect-opengl ~amd64
app-admin/eselect ~amd64[/quote]

Se você usa x86, basta substituir o ~amd64 por ~x86.

Depois de salvar o arquivo, faça:

[quote]emerge -C nvidia-glx nvidia-glx[/quote]
e
[quote]emerge nvidia-glx[/quote]

Isso irá instalar a última versão: 8872-r1. Antes de instalar, certifique-se que seu symlink /usr/src/linux esteja apontando para o código-fonte do kernel que você está rodando agora.

No final da instalação, você deverá dar o comando [quote]eselect opengl set nvidia[/quote] e alterar seu xorg.conf para rodar o driver nvidia.

Tenha em mente que, sempre que você atualizar seu kernel, estes procedimentos devem ser executados novamente.

Espero ter ajudado.[/quote]


Grande Baygon... 'e o seguinte.....ta dando este mensagem agora...o que fazer ????????? ja atualizei todo o sistema.. xorg pra 7.1 e o nvidia num vai agora nem a pau...

localhost ~ # emerge nvidia-glx
Calculating dependencies... done!

!!! Error: the >=x11-base/xorg-server-1.0.99 package conflicts with another package;
!!! the two packages cannot be installed on the same system together.
!!! Please use 'emerge --pretend' to determine blockers.

For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

localhost ~ #
Back to top
View user's profile Send private message
BaYGoN
Tux's lil' helper
Tux's lil' helper


Joined: 21 Sep 2004
Posts: 109
Location: Brasília - DF (Brasil)

PostPosted: Tue Aug 08, 2006 1:57 pm    Post subject: Reply with quote

Olá, Gony.

Eu uso o xorg 7.0, pois li que os drivers atuais da nvidia no portage (8762) não suportam GLX_EXT_texture_from_pixmap, do qual o xorg 7.1 faz uso.
Somente as versões 9XXX virão com esse suporte. Por enquanto, instale o xorg 7.0 e os drivers 8762. É o que uso aqui.

Pela sua mensagem de erro, o pacote xorg-server 1.0.99 conflita com outro pacote já instalado. No meu Gentoo, eu estou usando o pacote xorg-server-1.0.2-r7.

O melhor que você tem a fazer é desinstalar todo o seu xorg atual, e instalar o 7.0
Sendo que você disse ter instalado o 7.1, eu imagino que vc deve ter desmascarado ele dos pacotes instáveis em seu package.keywords

Mascare novamente eles, removendo-os do seu packages.keywords. Só pra vc ter um exemplo, esse é o meu package.keywords:
Quote:
media-video/nvidia-kernel ~amd64
media-video/nvidia-glx ~amd64
media-video/nvidia-settings ~amd64
app-admin/eselect-opengl ~amd64
app-admin/eselect ~amd64
kde-base/superkaramba ~amd64
kde-base/kdelibs ~amd64
kde-base/arts ~amd64
kde-base/kdebase ~amd64
kde-base/kdepim ~amd64
kde-base/kdegames ~amd64
kde-base/kdemultimedia ~amd64
kde-base/kdeaddons ~amd64
kde-base/kdenetwork ~amd64
kde-base/kdeadmin ~amd64
kde-base/kdewebdev ~amd64
kde-base/kdegraphics ~amd64
kde-base/kdeedu ~amd64
kde-base/kdeutils ~amd64
kde-base/kdetoys ~amd64
kde-base/kdeartwork ~amd64
kde-base/kde ~amd64
media-libs/akode ~amd64
dev-libs/gmp ~amd64
media-video/mplayer-bin ~amd64
media-libs/win32codecs ~amd64
app-emulation/emul-linux-x86-medialibs ~amd64
app-emulation/emul-linux-x86-gtklibs ~amd64
app-emulation/emul-linux-x86-qtlibs ~amd64
app-emulation/emul-linux-x86-xlibs ~amd64
sys-kernel/ck-sources ~amd64
=sys-apps/eject-2.1.5 ~amd64


Este meu package.keywords libera as versões instáveis dos drivers da nvidia, o kde, o mplayer, etc...

Siga novamente o guia Migrating to Modular X do gentoo-wiki.org, pulando o passo do quickpkg, pois pra você isso já não adianta mais. :D

Eu recomendo você, antes de cada emerge, usar a flag -p. Ela ajuda você a saber o que será instalado, e o que está bloqueando a instalação que tenta fazer.
Exemplo: emerge -p nvidia-glx

Com esse comando, você verá o que o emerge fará antes que realmente faça. Estando satisfeito com o que vê, basta retirar o -p.
_________________
Linux User #433896
HP DV6-6190US / Linux 3.4.6-pf #1 SMP PREEMPT Fri Aug 10 13:19:26 BRT 2012 x86_64 Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz GenuineIntel GNU/Linux
"The destiny of every guru is to be a noob for eternity"
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portuguese All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum